Skip to content

updateSubsidiary

WRITE

Update subsidiary.

POST /api/v1/settings/updateSubsidiary
curl -X POST '<your-host>/api/v1/settings/updateSubsidiary' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "subsidiary": {}
  }'

Parameters

ParameterType
min length 1
min length 1
min length 1
pattern ^\+[1-9]\d{1,14}$
min length 1
pattern ^\+[1-9]\d{1,14}$
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "subsidiary": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string",
          "minLength": 1
        },
        "addressLine1": {
          "type": "string",
          "minLength": 1
        },
        "addressLine2": {
          "type": "string"
        },
        "city": {
          "type": "string",
          "minLength": 1
        },
        "stateProvince": {
          "type": "string"
        },
        "postalCode": {
          "type": "string",
          "minLength": 1
        },
        "countryCode": {
          "type": "string",
          "minLength": 1
        },
        "baseCurrencyCode": {
          "type": "string"
        },
        "timezone": {
          "type": "string",
          "minLength": 1
        },
        "website": {
          "type": "string"
        },
        "taxId": {
          "type": "string"
        },
        "phone": {
          "type": "string",
          "pattern": "^\\+[1-9]\\d{1,14}$"
        },
        "fax": {
          "type": "string",
          "pattern": "^\\+[1-9]\\d{1,14}$"
        },
        "email": {
          "type": "string"
        },
        "vatNumber": {
          "type": "string"
        },
        "eori": {
          "type": "string"
        },
        "registrationNumber": {
          "type": "string"
        },
        "id": {
          "type": "string"
        },
        "parentCompanyId": {
          "type": "string"
        }
      }
    }
  },
  "required": [
    "id",
    "subsidiary"
  ]
}